#define HOST 1
#define GUEST 0
#define DATAFILE "CONFIGUR.DAT"
#define OFFLINE !(a_getmsr(P)&CRX)
#define TRY 3		/* number of attempts to resend garbled data block */
#define CRX 128	/* carrier detect        */
#define OKTS 1		/* OK to send            */
#define SFR 2		/* send file request     */
#define IFR 3		/* initiate file receive */
#define IFS 4   	/* initiate file send    */
#define DF 5		/* delete file           */
#define RP 6		/* request password		*/
#define SP 7		/* sending password		*/
#define EM 8		/* error message 		*/
#define EOC 9		/* end of call			*/
#define ACK 10		/* acknowledgement		*/
#define NAK 11		/* not acknowledged		*/
#define SDB 12		/* sending data block	*/
#define RESTART 13	/* re-execute hsend      */

void host_mode(void),empty_box(int,int,int,int),beep(int,int);
void copyright(void),report(char *),parse(char *);
void delete_files(char *,int),error_message(char *),end_of_call(void);
void top(int,int),bottom(int *,int *);
int initiate_file_send(char *,char *),send_file_request(unsigned char *,int);
int init_modem(void),load_data(void),break_handler(void);
int password_check(void),scb(int,int,unsigned char *),rcb(int,unsigned char *),agetc(void);
int cmd_mode(int),guestmode(char *),seperate(char *,char *,char*,char);
int interpret_batch_cmd(char *),call_remote(char *),password_verification(void);
int create_local_file(char *),passive(void),rdb(int,unsigned char *);
int hardware_error_handler(int,int,int,int);
char *eight_plus_three(char *,char);


